Loading...
Searching...
No Matches
gx_engine::GxMachineBase Class Referenceabstract

`#include <machine.h>`

Inheritance diagram for gx_engine::GxMachineBase:

## Public Member Functions

virtual | ~GxMachineBase ()
virtual void | set_state (GxEngineState state)=0
virtual GxEngineState | get_state ()=0
virtual void | load_ladspalist (std::vector< std::string > &old_not_found, ladspa::LadspaPluginList &pluginlist)=0
virtual void | save_ladspalist (ladspa::LadspaPluginList &pluginlist)=0
virtual void | commit_ladspa_changes ()=0
virtual sigc::signal< void, Plugin *, PluginChange::pc > & | signal_plugin_changed ()=0
virtual Plugin * | pluginlist_lookup_plugin (const std::string &id) const =0
virtual bool | load_unit (gx_gui::UiBuilderImpl &builder, PluginDef *pdef)=0
virtual void | pluginlist_append_rack (UiBuilderBase &ui)=0
virtual float | get_tuner_freq ()=0
virtual float | get_tuner_note ()=0
virtual void | set_oscilloscope_mul_buffer (int a)=0
virtual int | get_oscilloscope_mul_buffer ()=0
virtual gx_system::CmdlineOptions & | get_options () const =0
virtual void | start_socket (sigc::slot< void > quit_mainloop, const Glib::ustring &host, int port)=0
virtual void | stop_socket ()=0
virtual sigc::signal< void, GxEngineState > & | signal_state_change ()=0
virtual void | tuner_used_for_display (bool on)=0
virtual void | tuner_used_by_midi (bool on)=0
virtual void | tuner_switch (bool on)=0
virtual const std::vector< std::string > & | get_rack_unit_order (PluginType type)=0
virtual const std::vector< Glib::ustring > & | get_file_list (const std::string &id)=0
virtual sigc::signal< void, bool > & | signal_rack_unit_order_changed ()=0
virtual void | remove_rack_unit (const std::string &unit, PluginType type)=0
virtual void | insert_rack_unit (const std::string &unit, const std::string &before, PluginType type)=0
virtual bool | get_tuner_switcher_active ()=0
virtual void | tuner_switcher_activate (bool v)=0
virtual void | tuner_switcher_deactivate ()=0
virtual void | tuner_switcher_toggle (bool v)=0
virtual sigc::signal< void, const Glib::ustring &, const Glib::ustring & > & | tuner_switcher_signal_display ()=0
virtual sigc::signal< void, TunerSwitcher::SwitcherState > & | tuner_switcher_signal_set_state ()=0
virtual sigc::signal< void, bool > & | tuner_switcher_signal_selection_done ()=0
virtual bool | setting_is_preset ()=0
virtual const Glib::ustring & | get_current_bank ()=0
virtual gx_system::PresetFileGui * | get_current_bank_file ()=0
virtual const Glib::ustring & | get_current_name ()=0
virtual gx_system::PresetFileGui * | get_bank_file (const Glib::ustring &bank) const =0
virtual Glib::ustring | get_bank_name (int n)=0
virtual void | load_preset (gx_system::PresetFileGui *pf, const Glib::ustring &name)=0
virtual bool | msend_midi_cc (int cc, int pgn, int bgn, int num)=0
virtual void | loadstate ()=0
virtual int | bank_size ()=0
virtual int | get_bank_index (const Glib::ustring &bank)=0
virtual void | create_default_scratch_preset ()=0
virtual void | set_statefilename (const std::string &fn)=0
virtual void | save_to_state (bool preserve_preset=false)=0
virtual void | plugin_preset_list_load (const PluginDef *pdef, gx_preset::UnitPresetList &presetnames)=0
virtual void | plugin_preset_list_set (const PluginDef *pdef, bool factory, const Glib::ustring &name)=0
virtual void | plugin_preset_list_sync_set (const PluginDef *pdef, bool factory, const Glib::ustring &name)=0
virtual void | plugin_preset_list_set_on_idle (const PluginDef *pdef, bool factory, const Glib::ustring &name)=0
virtual void | plugin_preset_list_save (const PluginDef *pdef, const Glib::ustring &name)=0
virtual void | plugin_preset_list_remove (const PluginDef *pdef, const Glib::ustring &name)=0
virtual void | disable_autosave (bool v)=0
virtual void | disable_save_on_exit (bool v)=0
virtual sigc::signal< void > & | signal_selection_changed ()=0
virtual sigc::signal< void > & | signal_presetlist_changed ()=0
virtual gx_system::PresetFileGui * | bank_insert_uri (const Glib::ustring &uri, bool move, int position)=0
virtual gx_system::PresetFileGui * | bank_insert_new (const Glib::ustring &newname)=0
virtual bool | rename_bank (const Glib::ustring &oldname, Glib::ustring &newname)=0
virtual bool | rename_preset (gx_system::PresetFileGui &pf, const Glib::ustring &oldname, const Glib::ustring &newname)=0
virtual void | bank_reorder (const std::vector< Glib::ustring > &neworder)=0
virtual void | reorder_preset (gx_system::PresetFileGui &pf, const std::vector< Glib::ustring > &neworder)=0
virtual bool | bank_check_reparse ()=0
virtual void | erase_preset (gx_system::PresetFileGui &pf, const Glib::ustring &name)=0
virtual void | bank_set_flag (gx_system::PresetFileGui *pf, int flag, bool v)=0
virtual std::string | bank_get_filename (const Glib::ustring &bank)=0
virtual void | bank_drag_begin ()=0
virtual gx_system::PresetFileGui * | bank_get_file (const Glib::ustring &bank) const =0
virtual bank_iterator | bank_begin ()=0
virtual bank_iterator | bank_end ()=0
virtual void | pf_append (gx_system::PresetFileGui &pf, const Glib::ustring &src, gx_system::PresetFileGui &pftgt, const Glib::ustring &name)=0
virtual void | pf_insert_before (gx_system::PresetFileGui &pf, const Glib::ustring &src, gx_system::PresetFileGui &pftgt, const Glib::ustring &pos, const Glib::ustring &name)=0
virtual void | pf_insert_after (gx_system::PresetFileGui &pf, const Glib::ustring &src, gx_system::PresetFileGui &pftgt, const Glib::ustring &pos, const Glib::ustring &name)=0
virtual bool | convert_preset (gx_system::PresetFileGui &pf)=0
virtual bool | bank_remove (const Glib::ustring &bank)=0
virtual void | bank_save ()=0
virtual void | pf_save (gx_system::PresetFileGui &pf, const Glib::ustring &name)=0
virtual void | next_preset_switch ()=0
virtual void | previus_preset_switch ()=0
virtual void | process_next_preset_switch (bool s)=0
virtual void | process_previus_preset_switch (bool s)=0
virtual gx_jack::GxJack * | get_jack ()=0
virtual void | set_jack_insert (bool v)=0
virtual Parameter & | get_parameter (const std::string &id)=0
virtual void | insert_param (Glib::ustring group, Glib::ustring name)=0
virtual void | set_init_values ()=0
void | set_update_parameter (void *control, const string &id, bool on=true)
virtual bool | parameter_hasId (const char *p)=0
virtual bool | parameter_hasId (const std::string &id)=0
virtual void | reset_unit (const PluginDef *pdef) const =0
virtual bool | parameter_unit_has_std_values (const PluginDef *pdef) const =0
virtual void | set_parameter_value (const std::string &id, int value)=0
virtual void | set_parameter_value (const std::string &id, float value)=0
virtual void | set_parameter_value (const std::string &id, bool value)=0
virtual void | set_parameter_value (const std::string &id, const std::string &value)=0
void | set_parameter_value (const std::string &id, double value)
template<class T>
T | get_parameter_value (const std::string &id)
template<class T>
sigc::signal< void, T > & | signal_parameter_value (const std::string &id)
virtual bool | midi_get_config_mode (int *ctl=0)=0
virtual void | midi_set_config_mode (bool v, int ctl=-1)=0
virtual sigc::signal< void > & | signal_midi_changed ()=0
virtual sigc::signal< void, int, int > & | signal_midi_value_changed ()=0
virtual void | request_midi_value_update ()=0
virtual int | midi_size ()=0
virtual midi_controller_list & | midi_get (int n)=0
virtual void | midi_deleteParameter (Parameter &param)=0
virtual void | midi_set_current_control (int v)=0
virtual void | midi_modifyCurrent (Parameter &param, float lower, float upper, bool toggle, int toggle_behaviour)=0
virtual int | midi_param2controller (Parameter &param, const MidiController **p)=0
virtual void | set_midi_channel (int s)=0
virtual void | midi_feedback (int c, int v)=0
virtual bool | get_midi_feedback ()=0
virtual void | set_midi_feedback (int v)=0
virtual void | on_tuner_freq_changed ()=0
virtual void | reload_impresp_list (const std::string &path)=0
sigc::signal< void, const std::string &, std::vector< gx_system::FileName > > & | signal_impresp_list ()
virtual void | load_impresp_dirs (std::vector< gx_system::FileName > &dirs)=0
virtual bool | read_audio (const std::string &filename, unsigned int *audio_size, int *audio_chan, int *audio_type, int *audio_form, int *audio_rate, float **buffer)=0
template<>
float | get_parameter_value (const std::string &id)
template<>
int | get_parameter_value (const std::string &id)
template<>
bool | get_parameter_value (const std::string &id)
template<>
std::string | get_parameter_value (const std::string &id)
template<>
sigc::signal< void, float > & | signal_parameter_value (const std::string &id)
template<>
sigc::signal< void, int > & | signal_parameter_value (const std::string &id)
template<>
sigc::signal< void, bool > & | signal_parameter_value (const std::string &id)

## Protected Member Functions

| GxMachineBase ()

## Protected Attributes

sigc::signal< void, const std::string &, std::vector< gx_system::FileName > > | impresp_list
output_listen_map | update_map

## Private Member Functions

virtual int | _get_parameter_value_int (const std::string &id)=0
virtual int | _get_parameter_value_bool (const std::string &id)=0
virtual float | _get_parameter_value_float (const std::string &id)=0
virtual std::string | _get_parameter_value_string (const std::string &id)=0
virtual sigc::signal< void, int > & | _signal_parameter_value_int (const std::string &id)=0
virtual sigc::signal< void, bool > & | _signal_parameter_value_bool (const std::string &id)=0
virtual sigc::signal< void, float > & | _signal_parameter_value_float (const std::string &id)=0
virtual bool | update_parameter ()=0

## Private Attributes

sigc::connection | update_timeout

## Detailed Description

Definition at line 59 of file machine.h.

## Constructor & Destructor Documentation

## GxMachineBase()

gx_engine::GxMachineBase::GxMachineBase | ( |  | ) |

protected

## ~GxMachineBase()

virtual gx_engine::GxMachineBase::~GxMachineBase | ( |  | ) |

virtual

## Member Function Documentation

## _get_parameter_value_bool()

virtual int gx_engine::GxMachineBase::_get_parameter_value_bool | ( | const std::string & | id | ) |

private pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

Referenced by get_parameter_value().

## _get_parameter_value_float()

virtual float gx_engine::GxMachineBase::_get_parameter_value_float | ( | const std::string & | id | ) |

private pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

Referenced by get_parameter_value().

## _get_parameter_value_int()

virtual int gx_engine::GxMachineBase::_get_parameter_value_int | ( | const std::string & | id | ) |

private pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

Referenced by get_parameter_value().

## _get_parameter_value_string()

virtual std::string gx_engine::GxMachineBase::_get_parameter_value_string | ( | const std::string & | id | ) |

private pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

Referenced by get_parameter_value().

## _signal_parameter_value_bool()

virtual sigc::signal< void, bool > & gx_engine::GxMachineBase::_signal_parameter_value_bool | ( | const std::string & | id | ) |

private pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

Referenced by signal_parameter_value().

## _signal_parameter_value_float()

virtual sigc::signal< void, float > & gx_engine::GxMachineBase::_signal_parameter_value_float | ( | const std::string & | id | ) |

private pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

Referenced by signal_parameter_value().

## _signal_parameter_value_int()

virtual sigc::signal< void, int > & gx_engine::GxMachineBase::_signal_parameter_value_int | ( | const std::string & | id | ) |

private pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

Referenced by signal_parameter_value().

## bank_begin()

virtual bank_iterator gx_engine::GxMachineBase::bank_begin | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_check_reparse()

virtual bool gx_engine::GxMachineBase::bank_check_reparse | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_drag_begin()

virtual void gx_engine::GxMachineBase::bank_drag_begin | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_end()

virtual bank_iterator gx_engine::GxMachineBase::bank_end | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_get_file()

virtual gx_system::PresetFileGui * gx_engine::GxMachineBase::bank_get_file | ( | const Glib::ustring & | bank | ) | const

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_get_filename()

virtual std::string gx_engine::GxMachineBase::bank_get_filename | ( | const Glib::ustring & | bank | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_insert_new()

virtual gx_system::PresetFileGui * gx_engine::GxMachineBase::bank_insert_new | ( | const Glib::ustring & | newname | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_insert_uri()

virtual gx_system::PresetFileGui * gx_engine::GxMachineBase::bank_insert_uri | ( | const Glib::ustring & | uri,
|  | bool | move,
|  | int | position )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_remove()

virtual bool gx_engine::GxMachineBase::bank_remove | ( | const Glib::ustring & | bank | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_reorder()

virtual void gx_engine::GxMachineBase::bank_reorder | ( | const std::vector< Glib::ustring > & | neworder | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_save()

virtual void gx_engine::GxMachineBase::bank_save | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_set_flag()

virtual void gx_engine::GxMachineBase::bank_set_flag | ( | gx_system::PresetFileGui * | pf,
|  | int | flag,
|  | bool | v )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## bank_size()

virtual int gx_engine::GxMachineBase::bank_size | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## commit_ladspa_changes()

virtual void gx_engine::GxMachineBase::commit_ladspa_changes | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## convert_preset()

virtual bool gx_engine::GxMachineBase::convert_preset | ( | gx_system::PresetFileGui & | pf | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## create_default_scratch_preset()

virtual void gx_engine::GxMachineBase::create_default_scratch_preset | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## disable_autosave()

virtual void gx_engine::GxMachineBase::disable_autosave | ( | bool | v | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## disable_save_on_exit()

virtual void gx_engine::GxMachineBase::disable_save_on_exit | ( | bool | v | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## erase_preset()

virtual void gx_engine::GxMachineBase::erase_preset | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_bank_file()

virtual gx_system::PresetFileGui * gx_engine::GxMachineBase::get_bank_file | ( | const Glib::ustring & | bank | ) | const

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_bank_index()

virtual int gx_engine::GxMachineBase::get_bank_index | ( | const Glib::ustring & | bank | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_bank_name()

virtual Glib::ustring gx_engine::GxMachineBase::get_bank_name | ( | int | n | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_current_bank()

virtual const Glib::ustring & gx_engine::GxMachineBase::get_current_bank | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_current_bank_file()

virtual gx_system::PresetFileGui * gx_engine::GxMachineBase::get_current_bank_file | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_current_name()

virtual const Glib::ustring & gx_engine::GxMachineBase::get_current_name | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_file_list()

virtual const std::vector< Glib::ustring > & gx_engine::GxMachineBase::get_file_list | ( | const std::string & | id | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_jack()

virtual gx_jack::GxJack * gx_engine::GxMachineBase::get_jack | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_midi_feedback()

virtual bool gx_engine::GxMachineBase::get_midi_feedback | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_options()

virtual gx_system::CmdlineOptions & gx_engine::GxMachineBase::get_options | ( |  | ) | const

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_oscilloscope_mul_buffer()

virtual int gx_engine::GxMachineBase::get_oscilloscope_mul_buffer | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_parameter()

virtual Parameter & gx_engine::GxMachineBase::get_parameter | ( | const std::string & | id | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_parameter_value() [1/5]

template<>

std::string gx_engine::GxMachineBase::get_parameter_value | ( | const std::string & | id | ) |

inline

Definition at line 222 of file machine.h.

## get_parameter_value() [2/5]

template<>

bool gx_engine::GxMachineBase::get_parameter_value | ( | const std::string & | id | ) |

inline

Definition at line 218 of file machine.h.

## get_parameter_value() [3/5]

template<>

int gx_engine::GxMachineBase::get_parameter_value | ( | const std::string & | id | ) |

inline

Definition at line 214 of file machine.h.

## get_parameter_value() [4/5]

template<>

float gx_engine::GxMachineBase::get_parameter_value | ( | const std::string & | id | ) |

inline

Definition at line 210 of file machine.h.

## get_parameter_value() [5/5]

template<class T>

T gx_engine::GxMachineBase::get_parameter_value | ( | const std::string & | id | ) |

## get_rack_unit_order()

virtual const std::vector< std::string > & gx_engine::GxMachineBase::get_rack_unit_order | ( | PluginType | type | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_state()

virtual GxEngineState gx_engine::GxMachineBase::get_state | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_tuner_freq()

virtual float gx_engine::GxMachineBase::get_tuner_freq | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_tuner_note()

virtual float gx_engine::GxMachineBase::get_tuner_note | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## get_tuner_switcher_active()

virtual bool gx_engine::GxMachineBase::get_tuner_switcher_active | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## insert_param()

virtual void gx_engine::GxMachineBase::insert_param | ( | Glib::ustring | group,
|  | Glib::ustring | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## insert_rack_unit()

virtual void gx_engine::GxMachineBase::insert_rack_unit | ( | const std::string & | unit,
|  | const std::string & | before,
|  | PluginType | type )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## load_impresp_dirs()

virtual void gx_engine::GxMachineBase::load_impresp_dirs | ( | std::vector< gx_system::FileName > & | dirs | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## load_ladspalist()

virtual void gx_engine::GxMachineBase::load_ladspalist | ( | std::vector< std::string > & | old_not_found,
|  | ladspa::LadspaPluginList & | pluginlist )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## load_preset()

virtual void gx_engine::GxMachineBase::load_preset | ( | gx_system::PresetFileGui * | pf,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## load_unit()

virtual bool gx_engine::GxMachineBase::load_unit | ( | gx_gui::UiBuilderImpl & | builder,
|  | PluginDef * | pdef )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## loadstate()

virtual void gx_engine::GxMachineBase::loadstate | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## midi_deleteParameter()

virtual void gx_engine::GxMachineBase::midi_deleteParameter | ( | Parameter & | param | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## midi_feedback()

virtual void gx_engine::GxMachineBase::midi_feedback | ( | int | c,
|  | int | v )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## midi_get()

virtual midi_controller_list & gx_engine::GxMachineBase::midi_get | ( | int | n | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## midi_get_config_mode()

virtual bool gx_engine::GxMachineBase::midi_get_config_mode | ( | int * | ctl = 0 | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## midi_modifyCurrent()

virtual void gx_engine::GxMachineBase::midi_modifyCurrent | ( | Parameter & | param,
|  | float | lower,
|  | float | upper,
|  | bool | toggle,
|  | int | toggle_behaviour )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## midi_param2controller()

virtual int gx_engine::GxMachineBase::midi_param2controller | ( | Parameter & | param,
|  | const MidiController ** | p )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## midi_set_config_mode()

virtual void gx_engine::GxMachineBase::midi_set_config_mode | ( | bool | v,
|  | int | ctl = -1 )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## midi_set_current_control()

virtual void gx_engine::GxMachineBase::midi_set_current_control | ( | int | v | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## midi_size()

virtual int gx_engine::GxMachineBase::midi_size | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## msend_midi_cc()

virtual bool gx_engine::GxMachineBase::msend_midi_cc | ( | int | cc,
|  | int | pgn,
|  | int | bgn,
|  | int | num )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## next_preset_switch()

virtual void gx_engine::GxMachineBase::next_preset_switch | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## on_tuner_freq_changed()

virtual void gx_engine::GxMachineBase::on_tuner_freq_changed | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## parameter_hasId() [1/2]

virtual bool gx_engine::GxMachineBase::parameter_hasId | ( | const char * | p | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

Referenced by gx_gui::check_id().

## parameter_hasId() [2/2]

virtual bool gx_engine::GxMachineBase::parameter_hasId | ( | const std::string & | id | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## parameter_unit_has_std_values()

virtual bool gx_engine::GxMachineBase::parameter_unit_has_std_values | ( | const PluginDef * | pdef | ) | const

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## pf_append()

virtual void gx_engine::GxMachineBase::pf_append | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | src,
|  | gx_system::PresetFileGui & | pftgt,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## pf_insert_after()

virtual void gx_engine::GxMachineBase::pf_insert_after | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | src,
|  | gx_system::PresetFileGui & | pftgt,
|  | const Glib::ustring & | pos,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## pf_insert_before()

virtual void gx_engine::GxMachineBase::pf_insert_before | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | src,
|  | gx_system::PresetFileGui & | pftgt,
|  | const Glib::ustring & | pos,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## pf_save()

virtual void gx_engine::GxMachineBase::pf_save | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## plugin_preset_list_load()

virtual void gx_engine::GxMachineBase::plugin_preset_list_load | ( | const PluginDef * | pdef,
|  | gx_preset::UnitPresetList & | presetnames )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## plugin_preset_list_remove()

virtual void gx_engine::GxMachineBase::plugin_preset_list_remove | ( | const PluginDef * | pdef,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## plugin_preset_list_save()

virtual void gx_engine::GxMachineBase::plugin_preset_list_save | ( | const PluginDef * | pdef,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## plugin_preset_list_set()

virtual void gx_engine::GxMachineBase::plugin_preset_list_set | ( | const PluginDef * | pdef,
|  | bool | factory,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## plugin_preset_list_set_on_idle()

virtual void gx_engine::GxMachineBase::plugin_preset_list_set_on_idle | ( | const PluginDef * | pdef,
|  | bool | factory,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## plugin_preset_list_sync_set()

virtual void gx_engine::GxMachineBase::plugin_preset_list_sync_set | ( | const PluginDef * | pdef,
|  | bool | factory,
|  | const Glib::ustring & | name )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## pluginlist_append_rack()

virtual void gx_engine::GxMachineBase::pluginlist_append_rack | ( | UiBuilderBase & | ui | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## pluginlist_lookup_plugin()

virtual Plugin * gx_engine::GxMachineBase::pluginlist_lookup_plugin | ( | const std::string & | id | ) | const

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## previus_preset_switch()

virtual void gx_engine::GxMachineBase::previus_preset_switch | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## process_next_preset_switch()

virtual void gx_engine::GxMachineBase::process_next_preset_switch | ( | bool | s | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## process_previus_preset_switch()

virtual void gx_engine::GxMachineBase::process_previus_preset_switch | ( | bool | s | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## read_audio()

virtual bool gx_engine::GxMachineBase::read_audio | ( | const std::string & | filename,
|  | unsigned int * | audio_size,
|  | int * | audio_chan,
|  | int * | audio_type,
|  | int * | audio_form,
|  | int * | audio_rate,
|  | float ** | buffer )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## reload_impresp_list()

virtual void gx_engine::GxMachineBase::reload_impresp_list | ( | const std::string & | path | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## remove_rack_unit()

virtual void gx_engine::GxMachineBase::remove_rack_unit | ( | const std::string & | unit,
|  | PluginType | type )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## rename_bank()

virtual bool gx_engine::GxMachineBase::rename_bank | ( | const Glib::ustring & | oldname,
|  | Glib::ustring & | newname )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## rename_preset()

virtual bool gx_engine::GxMachineBase::rename_preset | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | oldname,
|  | const Glib::ustring & | newname )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## reorder_preset()

virtual void gx_engine::GxMachineBase::reorder_preset | ( | gx_system::PresetFileGui & | pf,
|  | const std::vector< Glib::ustring > & | neworder )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## request_midi_value_update()

virtual void gx_engine::GxMachineBase::request_midi_value_update | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## reset_unit()

virtual void gx_engine::GxMachineBase::reset_unit | ( | const PluginDef * | pdef | ) | const

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## save_ladspalist()

virtual void gx_engine::GxMachineBase::save_ladspalist | ( | ladspa::LadspaPluginList & | pluginlist | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## save_to_state()

virtual void gx_engine::GxMachineBase::save_to_state | ( | bool | preserve_preset = false | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_init_values()

virtual void gx_engine::GxMachineBase::set_init_values | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_jack_insert()

virtual void gx_engine::GxMachineBase::set_jack_insert | ( | bool | v | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_midi_channel()

virtual void gx_engine::GxMachineBase::set_midi_channel | ( | int | s | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_midi_feedback()

virtual void gx_engine::GxMachineBase::set_midi_feedback | ( | int | v | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_oscilloscope_mul_buffer()

virtual void gx_engine::GxMachineBase::set_oscilloscope_mul_buffer | ( | int | a | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_parameter_value() [1/5]

virtual void gx_engine::GxMachineBase::set_parameter_value | ( | const std::string & | id,
|  | bool | value )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_parameter_value() [2/5]

virtual void gx_engine::GxMachineBase::set_parameter_value | ( | const std::string & | id,
|  | const std::string & | value )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_parameter_value() [3/5]

void gx_engine::GxMachineBase::set_parameter_value | ( | const std::string & | id,
|  | double | value )

inline

Definition at line 180 of file machine.h.

Referenced by set_parameter_value().

## set_parameter_value() [4/5]

virtual void gx_engine::GxMachineBase::set_parameter_value | ( | const std::string & | id,
|  | float | value )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_parameter_value() [5/5]

virtual void gx_engine::GxMachineBase::set_parameter_value | ( | const std::string & | id,
|  | int | value )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_state()

virtual void gx_engine::GxMachineBase::set_state | ( | GxEngineState | state | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_statefilename()

virtual void gx_engine::GxMachineBase::set_statefilename | ( | const std::string & | fn | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## set_update_parameter()

void gx_engine::GxMachineBase::set_update_parameter | ( | void * | control,
|  | const string & | id,
|  | bool | on = true )

## setting_is_preset()

virtual bool gx_engine::GxMachineBase::setting_is_preset | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## signal_impresp_list()

sigc::signal< void, const std::string &, std::vector< gx_system::FileName > > & gx_engine::GxMachineBase::signal_impresp_list | ( |  | ) |

inline

Definition at line 202 of file machine.h.

## signal_midi_changed()

virtual sigc::signal< void > & gx_engine::GxMachineBase::signal_midi_changed | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## signal_midi_value_changed()

virtual sigc::signal< void, int, int > & gx_engine::GxMachineBase::signal_midi_value_changed | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## signal_parameter_value() [1/4]

template<>

sigc::signal< void, bool > & gx_engine::GxMachineBase::signal_parameter_value | ( | const std::string & | id | ) |

inline

Definition at line 234 of file machine.h.

## signal_parameter_value() [2/4]

template<>

sigc::signal< void, int > & gx_engine::GxMachineBase::signal_parameter_value | ( | const std::string & | id | ) |

inline

Definition at line 230 of file machine.h.

## signal_parameter_value() [3/4]

template<>

sigc::signal< void, float > & gx_engine::GxMachineBase::signal_parameter_value | ( | const std::string & | id | ) |

inline

Definition at line 226 of file machine.h.

## signal_parameter_value() [4/4]

template<class T>

sigc::signal< void, T > & gx_engine::GxMachineBase::signal_parameter_value | ( | const std::string & | id | ) |

## signal_plugin_changed()

virtual sigc::signal< void, Plugin *, PluginChange::pc > & gx_engine::GxMachineBase::signal_plugin_changed | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## signal_presetlist_changed()

virtual sigc::signal< void > & gx_engine::GxMachineBase::signal_presetlist_changed | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## signal_rack_unit_order_changed()

virtual sigc::signal< void, bool > & gx_engine::GxMachineBase::signal_rack_unit_order_changed | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## signal_selection_changed()

virtual sigc::signal< void > & gx_engine::GxMachineBase::signal_selection_changed | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## signal_state_change()

virtual sigc::signal< void, GxEngineState > & gx_engine::GxMachineBase::signal_state_change | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## start_socket()

virtual void gx_engine::GxMachineBase::start_socket | ( | sigc::slot< void > | quit_mainloop,
|  | const Glib::ustring & | host,
|  | int | port )

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## stop_socket()

virtual void gx_engine::GxMachineBase::stop_socket | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## tuner_switch()

virtual void gx_engine::GxMachineBase::tuner_switch | ( | bool | on | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## tuner_switcher_activate()

virtual void gx_engine::GxMachineBase::tuner_switcher_activate | ( | bool | v | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## tuner_switcher_deactivate()

virtual void gx_engine::GxMachineBase::tuner_switcher_deactivate | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## tuner_switcher_signal_display()

virtual sigc::signal< void, const Glib::ustring &, const Glib::ustring & > & gx_engine::GxMachineBase::tuner_switcher_signal_display | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## tuner_switcher_signal_selection_done()

virtual sigc::signal< void, bool > & gx_engine::GxMachineBase::tuner_switcher_signal_selection_done | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## tuner_switcher_signal_set_state()

virtual sigc::signal< void, TunerSwitcher::SwitcherState > & gx_engine::GxMachineBase::tuner_switcher_signal_set_state | ( |  | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## tuner_switcher_toggle()

virtual void gx_engine::GxMachineBase::tuner_switcher_toggle | ( | bool | v | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## tuner_used_by_midi()

virtual void gx_engine::GxMachineBase::tuner_used_by_midi | ( | bool | on | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## tuner_used_for_display()

virtual void gx_engine::GxMachineBase::tuner_used_for_display | ( | bool | on | ) |

pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## update_parameter()

virtual bool gx_engine::GxMachineBase::update_parameter | ( |  | ) |

private pure virtual

Implemented in gx_engine::GxMachine, and gx_engine::GxMachineRemote.

## Member Data Documentation

## impresp_list

sigc::signal<void,const std::string&, std::vector<gx_system::FileName> > gx_engine::GxMachineBase::impresp_list

protected

Definition at line 63 of file machine.h.

Referenced by signal_impresp_list().

## update_map

output_listen_map gx_engine::GxMachineBase::update_map

protected

Definition at line 64 of file machine.h.

## update_timeout

sigc::connection gx_engine::GxMachineBase::update_timeout

private

Definition at line 61 of file machine.h.

The documentation for this class was generated from the following file:

- src/headers/machine.h